UsagesOperations Class
UsagesOperations operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectUsagesOperations
Constructor
UsagesOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| list_by_instance_pool |
Gets all instance pool usage metrics. |
list_by_instance_pool
Gets all instance pool usage metrics.
list_by_instance_pool(resource_group_name: str, instance_pool_name: str, expand_children: Optional[bool] = None, **kwargs: Any) -> Iterable[_models.UsageListResult]
Parameters
- resource_group_name
- str
The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
- expand_children
- bool
Optional request parameter to include managed instance usages within the instance pool.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either UsageListResult or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.sql.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\sql\\models\\__init__.py'>
Feedback
Submit and view feedback for